
CoCoA-5 - Bug #197

./C5.bin: fork: Resource temporarily unavailable

26 Jun 2012 07:54 - Anna Maria Bigatti

Status: Closed Start date: 26 Jun 2012

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: GUI Estimated time: 0.00 hour

Target version:  Spent time: 1.95 hour

Description

Sometimes we get this mysterious message when starting the GUI.

./C5.bin: fork: Resource temporarily unavailable

A way to solve seem to be make veryclean; make in the CoCoA-5 directory.

Related issues:

Related to CoCoA-5 - Support #187: CoCoA-5 (partial) releases: make the proce... Closed 13 Jun 2012

History

#1 - 26 Jun 2012 08:05 - Anna Maria Bigatti

- Category set to GUI

I've found this bug (among the other "surprise" and rare occurrences) is caused by make; make;  which seemed to occur only in my "cvs snapshot"

directory.

Forcing the ricompilation (as it is done for setting the correct CompilationDate) has solved this case.

#2 - 26 Sep 2012 17:52 - John Abbott

In the src/CoCoA-5/ directory I found that make clean; make was sufficient on my computer.

#3 - 26 Feb 2014 16:48 - John Abbott

Has this effectively been resolved?  It's been ages since I've seen the problem (but I hardly ever use the GUI...)

Can we mark it as "resolved" or "closed"?

#4 - 05 Mar 2014 12:21 - John Abbott

- Status changed from New to Closed

- % Done changed from 0 to 100

Neither Anna nor I recall how to reproduce this bug; maybe we have fixed it unwittingly?

Anyway, there is a work-around in case of need.

Closing.
